Bug 734577 - Show.cgi results summary render is missing system log and other files.
Summary: Show.cgi results summary render is missing system log and other files.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Pengfei Xue
QA Contact:
URL: http://hardware.redhat.com
Whiteboard:
Depends On: 734570 788786
Blocks: 733411 803630
TreeView+ depends on / blocked
 
Reported: 2011-08-30 19:19 UTC by Rob Landry
Modified: 2012-06-06 03:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 03:02:00 UTC


Attachments (Terms of Use)

Description Rob Landry 2011-08-30 19:19:11 UTC
Description of problem:

The results.xml format includes a runtime syslog output and additional files beyond sysreport.tar and test.wav.  The syslog output should receive it's own column/link in the run log view and the attachments other than sysreport and test.wav should each be listed in the extra files column.

Comment 2 Pengfei Xue 2012-02-06 03:29:40 UTC
(In reply to comment #0)
> Description of problem:
> 
> The results.xml format includes a runtime syslog output and additional files
> beyond sysreport.tar and test.wav.  The syslog output should receive it's own
> column/link in the run log view

we didn't extract the system.log from rpm package today, do we need to enable this for rpm formatted pakcages, or just for gz?

Comment 3 Rob Landry 2012-02-08 22:14:13 UTC
Only for xml.gz however it's not limited to just system.log but any attached file should be retrievable.  Please note this requires an update to the way xml results are handled, the current method is to pretend that are results.rpm which is not the goal, instead we should using xsl to render the requested parts from the singular stored xml.gz in the db.

Comment 9 Rob Landry 2012-03-14 19:16:59 UTC
Instead of runtime log syslog could be added to the files column?  This would avoid the additional column.

Sysreport 263452 appears twice I think.  Once in run1 once in run2, both times under storage instead of info.  Is this correct?  

The info sosreports-{filename} still show as "sysreport"; can this be updated as well to use the correct file name?  Test.wav may need a similar update?  (This could be opened as a(two) new BZ?)

Comment 10 Pengfei Xue 2012-03-15 02:09:55 UTC
(In reply to comment #9)
> Instead of runtime log syslog could be added to the files column?  This would
> avoid the additional column.

If we add runtime log to files column, files column will be too crowd

> 
> Sysreport 263452 appears twice I think.  Once in run1 once in run2, both times
> under storage instead of info.  Is this correct? 

I don't have gz packages those include other attachments than sysreport and test.wav, so, i copied the sysreport from info
 
> 
> The info sosreports-{filename} still show as "sysreport"; can this be updated
> as well to use the correct file name?  Test.wav may need a similar update? 
> (This could be opened as a(two) new BZ?)
I think a new bz shoule be opened for this

Comment 11 Pengfei Xue 2012-03-15 09:59:24 UTC
change status to post, open a new bug for the file name of test.wav and sysreport

https://bugzilla.redhat.com/show_bug.cgi?id=803630

Comment 21 Wei Shen 2012-03-22 10:01:40 UTC
patch looks good for me


Note You need to log in before you can comment on or make changes to this bug.